<?php
session_start();

// Check if user is not logged in, redirect to login page
if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}

// Check if user details are set in session
if (!isset($_SESSION['user_id'], $_SESSION['user_name'], $_SESSION['wallet_balance'], $_SESSION['mobile_number'])) {
    header('Location: enter_mobile.php');
    exit;
}

require_once '/home/cocoeatz/app.cocoeats.co.uk/£SP/vendor/autoload.php';
use Twilio\Rest\Client;

// Twilio credentials
$sid = "AC7b73dbe422b417dbf05ba517f07c77b6";
$token = "0e5fd15bb062f66dce2de4ebe6d85f5f";
$twilio_number = "+12542724023"; // Your Twilio phone number

// Create Twilio client
$twilio = new Client($sid, $token);

// Phone number to send the message
$to_number = $_SESSION['mobile_number']; // Update with the recipient's phone number

// Function to generate OTP
function generateOTP() {
    return rand(1000, 9999);
}

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Process the transaction
    $amount = $_POST['amount'];

    // Validate amount
    if (!is_numeric($amount) || $amount <= 0) {
        $error = "Invalid amount. Please enter a valid amount.";
    } else {
        // Generate OTP
        $otp = generateOTP();

        try {
            // Send OTP via SMS
            $message = $twilio->messages->create(
                $to_number,
                array(
                    "from" => $twilio_number,
                    "body" => "Thanks for Ordering from SALTN'PEPPER. Verify your Wallet Transaction by OTP : $otp"
                )
            );

            // Store OTP in session for verification
            $_SESSION['otp'] = $otp;
            $_SESSION['transaction_amount'] = $amount;

            // Redirect to OTP verification page
            header('Location: verify_otp.php');
            exit;
        } catch (Exception $e) {
            // Handle Twilio exceptions
            $error = "Error sending OTP: " . $e->getMessage();
        }
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Enter Amount</title>
    <style>
        /* Add your CSS styles here */
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
        }
        .container {
            width: 300px;
            margin: 0 auto;
            padding-top: 50px;
            text-align: center;
        }
        h2 {
            margin-bottom: 20px;
            font-size: 24px;
        }
        .error {
            color: red;
            margin-bottom: 20px;
            font-size: 18px;
        }
        label {
            display: block;
            margin-bottom: 10px;
            font-size: 18px;
        }
        input[type="number"] {
            width: 100%;
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
            font-size: 18px;
        }
        input[type="submit"] {
            width: 100%;
            padding: 10px;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 18px;
        }
        input[type="submit"]:hover {
            background-color: #45a049;
        }
        .balance-box {
            background-color: #ddd;
            padding: 10px;
            border-radius: 5px;
            margin-bottom: 20px;
        }
        .balance {
            font-size: 20px;
            color: #333;
            font-weight: bold;
        }
        a {
            display: block;
            margin-top: 20px;
            font-size: 18px;
            text-decoration: none;
            color: #333;
        }
        .footer {
            position: fixed;
            bottom: 0;
            left: 0;
            width: 100%;
            background-color: #333;
            color: white;
            text-align: center;
            padding: 10px 0;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h2>Welcome <?php echo $_SESSION['user_name']; ?></h2>
    <?php if (isset($error)) : ?>
        <p class="error"><?php echo $error; ?></p>
    <?php endif; ?>
    <div class="balance-box">
        <h3>Your Current Wallet Balance:</h3>
        <p class="balance">£<?php echo number_format($_SESSION['wallet_balance'], 2); ?></p>
    </div>
    <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
        <label for="amount">Enter Amount:</label>
        <input type="number" id="amount" name="amount" min="0" step="0.01" required><br><br>
        <input type="submit" value="Submit">
    </form>
    <a href="enter_mobile.php">Back</a>
</div>
<div class="footer">
    &copy; <?php echo date("Y"); ?> Intoque Ltd.
</div>
</body>
</html>
